
body {
    font-size: 12pt;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100%;
    margin: 0;
    background-color: #FFFFFF;
}

.header-wrapper {
    position: relative;
    width: 100%;
    background-color: #FFFFFF;
    height: 180px;
}

.content {
    max-width: 500px;
    margin: auto;
}

.content-md {
    max-width: 800px;
    margin: auto;
}

/* Create two equal columns that float next to each other */
.column {
    float: left;
    width: 50%;
}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
    .column {
        width: 100%;
    }
}

.pure-form-aligned .pure-control-group label {
    text-align: left!important;
    display: inline-block!important;
    vertical-align: middle;
    width: 8em;
    margin: 0 1em 0 0;
}

.form{
    margin-left:100px;
    margin-top:50px;
}

.pure-form-aligned .pure-controls{
    margin:0!important;
}

.header-logo {
    position: fixed;
    top: 15px;
    right: 93px;
}

.user-info {
    position: absolute;
    top: 0;
    left: 88px;
}

.system-info {
    position: absolute;
    top: 20px;
    width: 100%;
}

.system-info h2 {
    margin-bottom: 0;
}

.system-info hr {
    width: 90%;
}

.search-form {
    font-size: 10pt;
    text-align: center;
    margin-top: 20px;
}

.search-form h3 {
    margin-bottom: 0;
}

.search-form fieldset {
    margin-top: 20px;
}

.pagination {
    margin-right: auto;
    margin-left: auto;
    display: block;
    text-align: center;
}

.pagination a {
    display: inline-block;
    padding: 5px;
}

/* Create three equal columns that floats next to each other */
.s-column {
    float: left;
    width: 33.33%;
    display: block;
}

/* Clear floats after the columns */
.s-row:after {
    content: "";
    display: table;
    clear: both;
}

.s-row {
    padding: 50px;
}

#grey-settings-icon {
    opacity: 0.4;
    filter: alpha(opacity=40); /* msie */
}
.main-content {
    width: 100%;
    position: relative;
    margin-top: 20px;
    padding-bottom: 50px;
}
.body-content {
    background-color: #fff;
    padding: 16px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin-left: auto;
    margin-right: auto;
}
.min-content {
    width: 200px;
    position: relative;
    margin: 20px auto;
}
form {
    max-width: 600px;
    margin: 0 auto;
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
}
.form-l {
    max-width: 900px;
}

.form-section {
    margin-bottom: 20px;
}
.form-update {  
    margin: auto; 
    width:80%;
}
.form-l .form-update {  
    margin: auto; 
    width: 95%;
}
.warn-severe {
    color: red;
}
.error {
    color: salmon;
}
input.error, textarea.error, select.error {
    color: salmon;
    border: 1px solid salmon !important;
}
label {
    display: block;
    margin-bottom: 5px;
}
select,
input[type="number"],
input[type="email"],
input[type="password"],
input[type="text"] {
    width: 220px !important;
    padding: 8px;
    margin-bottom: 10px;
    display: inline-block;
    box-sizing: border-box;
}
.form-login input[type="email"],
.form-login input[type="password"],
.form-login input[type="text"] {
    width: 275px !important;
}
select {
    height: 2.5em !important;
}

input[type="checkbox"] {
    margin-right: 5px;
}
input.medium-input {
    width: 180px !important;
}
.img-button {
    width: 220px;
    height: 2.5em;
    margin: 0;
    padding: 0;
    border: none !important;
    background: none !important;
    color: #6393c1;
    font-size: 0.8em;
    border-style: none !important;
    border: none;
    outline: none;
}
.img-button:focus, .img-button:focus img {
    border-style: none !important;
    border: none !important;
    outline: none !important;
}
.img-button img {
    text-align: right;
    width: 3em;
    height: 3em;
    margin: 0;
    padding: 0;
}
.img-button-small {
    width: 2.5em;
    height: 2.5em;
    position: relative;
    top: -5px;
}
.img-button-small img {
    width: 2.5em;
    height: 2.5em;
    margin: 0;
    padding: 0;
}
.img-button-tiny {
    width: 1.5em;
    height: 1.5em;
}
.img-button-tiny img {
    width: 1.5em;
    height: 1.5em;
    margin: 0;
    padding: 0;
}
.no-close .ui-dialog-titlebar-close {
    display: none;
}
.dialog-success button {

    background-color: #45a049 !important;
    border: #cccccc 1px solid;
    outline: none;
}
.dialog-error button {

    background-color: salmon !important;
    border: #cccccc 1px solid;
    outline: none;
}
.dialog-confirm button {

    background-color: #faaf72 !important;
    border: #cccccc 1px solid;
    outline: none;
}
.dialog-content-popup button {

    outline: none;
}
.action-button {
    border-color: rgba(85, 85, 85, 0.2);
    background-color: rgb(100, 100, 100);
}
.action-button:hover {
    background-color: #CCCCCC;
}
.delete-button {
    color: red;
    border-color: red;
    background-color: #cccccc;
}
.delete-button:hover {
    color: #FFFFFF;
    background-color: red;
}
.w-fit {
    max-width: fit-content;
}
.w-fit-auto {
    width: fit-content;
    margin: 0 auto 0 auto;
}

div.relative {
    position: relative;
    left: 580px;
    border: none;
}

.pure-form input {
    padding: 0.5em 0.6em !important;
    display: inline-block;
    border: 1px solid #ccc;
    -webkit-box-shadow: inset 0 1px 3px #ddd;
    box-shadow: inset 0 1px 3px #ddd;
    border-radius: 4px;
    vertical-align: middle;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;

}
.list-small {
    font-size: .6em;
}

.btn-no-bg {
    background-color: none !important;
}
.btn-no-bd {
    border: none !important;
}
.small-input {

    width: 15em !important;
}
.navbar {
    position: relative;
    top: 35%;
    width: 50%;
    margin: auto;
    display: flex;
    flex-wrap: wrap; /* Ensures wrapping on smaller screens */
    justify-content: space-between; /* Adds space between items */
}

.navbar a, .subnav {
    float: none; /* Remove float for flexbox */
    display: flex;
    align-items: center; /* Vertically align items */
}

.navbar a {
    font-size: 16px;
    color: black;
    text-align: center;
    padding: 7px;
    text-decoration: none;
}

.subnav .subnavbtn {
    font-size: 16px;
    border: none;
    outline: none;
    color: white;
    padding: 7px;
    background-color: inherit;
    font-family: inherit;
    margin: 0;
    display: flex;
    align-items: center; /* Vertically align button content */
}

.navbar a:hover, .subnav:hover .subnavbtn {
    background-color: #eee;
}

.subnav-content {
    display: none;
    position: absolute;
    left: 0;
    background-color: #eee;
    width: 100%;
    z-index: 1;
    top: 80%; /* Ensures dropdown appears below the button */
}

.subnav-content a {
    float: left;
    color: white;
    text-decoration: none;
    margin-right: 7px;
}

.subnav-content a:hover {
    background-color: #ccc;
    color: black;
}

.subnav:hover .subnav-content {
    display: block;
}

/* Media query for medium and larger screens */
@media (min-width: 768px) {
    .navbar {
        flex-wrap: nowrap; /* Prevent wrapping on medium and larger screens */
    }
}


.table-stretch tr td, .table-stretch tr th {
    white-space: nowrap;
}

#loading-spinner {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;
}

/* Styles for the loader */
#ajax-loader {
    display: block;
    position: fixed; /* Stay in place */
    z-index: 9999; /* Above everything else */
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(255, 255, 255, 0.9); /* Optional: a semi-transparent background */
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    text-align: center;
    font-size: 16px;
}


/* Overlay to cover the page */
#ajax-overlay {
    display: block;
    position: fixed; /* Cover the whole page */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent black background */
    z-index: 9998; /* Just below the loader */
}
.disabled {
    pointer-events: none;  /* Prevent clicks */
    opacity: 0.6;          /* Grayed-out appearance */
    cursor: not-allowed;   /* Change cursor to 'not-allowed' */
    border: none;
}

.report-filter-input {
    margin-right: 20px;
    min-height: 38px;
}

.report-filter-date  {
    margin-right: 20px;
    margin-bottom: 8px;
}

.invoice-select th{
    text-align: center;
}

.invoice-select td{
    text-align: left;
}


.invoice-container {
    width: 900px;
    margin: 0 auto;
    padding: 20px;
    border: 1px solid #ddd;
  }
  
  h1, h2 {
    text-align: center;
    margin-bottom: 20px;
  }
  
  table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
  }
  
  table, th, td {
    border: 1px solid #ddd;
    padding: 8px;
  }
  
  th {
    background-color: #f2f2f2;
    text-align: left;
  }
  
  td {
    text-align: right;
  }
  
  p {
    margin-bottom: 10px;
  }
  
  .invoice-top-row {
    display: flex;
    justify-content: space-between; 
    align-items: center;
    border-bottom: 8px solid #000;
}

.invoice-top-row h2 {
    margin: 0; 
}

.invoice-number {
    color: #FF4500;
}

.invoice-date {
}

.invoice-flex-container {
    display: flex;
    align-items: flex-start;
    gap: 20px;
    padding: 20px;
}

.group-contact-details {
    flex: 1; 
    font-size: 14px;
    margin-top: 50px;
}

.invoice-table {
    flex: 2;
}

.invoice-table h5 {
    text-align: center;
}


/* Modal */


/* Button styling */
.pure-button,
button {
  display: inline-block;
  padding: 10px 20px;
  font-size: 16px;
  font-weight: 600;
  color: #fff;
  background-color: #0078e7;
  border: none;
  border-radius: 4px;
  text-align: center;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.pure-button:hover,
button:hover {
  background-color: #0078e7;
}

.pure-button-secondary,
.btn-secondary {
  background-color: #6c757d;
}

.pure-button-secondary:hover,
.btn-secondary:hover {
  background-color: #5a6268;
}

/* Modal Styling */
 /* Modal Background */
 .modal {
    display: block;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.6);
    transition: all 0.3s ease;
  }

  .modal-content {
    background-color: #fff;
    margin: 0 auto;
    padding: 20px 30px;
    border-radius: 8px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    width: 90%;
    max-width: 500px;
    position: relative;
    animation: fadeIn 0.3s ease;
  }

  @keyframes fadeIn {
    from {
      opacity: 0;
      transform: translateY(-20px);
    }
    to {
      opacity: 1;
      transform: translateY(0);
    }
  }

  .close {
    position: absolute;
    top: 10px;
    right: 15px;
    color: #aaa;
    font-size: 24px;
    font-weight: bold;
    cursor: pointer;
  }

  .close:hover {
    color: #000;
  }

  .modal-content form  input,
  .modal-content form  select {
    width: 100%;
    padding: 12px;
    margin: 10px 0;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 14px;
    transition: border-color 0.3s ease;
  }

  form input:focus,
  form select:focus {
    border-color: #0078e7;
    outline: none;
  }

  .form-row {
    display: flex;
    justify-content: space-between;
    gap: 10px;
  }

  .form-row input,
  .form-row select {
    flex: 1;
  }

  .pure-button-primary {
    background-color: #0078e7;
    color: #fff;
    padding: 12px 20px;
    border-radius: 4px;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
  }

  .pure-button-primary:hover {
    background-color: #0078e7;
  }

  .pure-button {
    background-color: #6c757d;
    color: #fff;
    padding: 12px 20px;
    border-radius: 4px;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
  }

  .pure-button:hover {
    background-color: #5a6268;
  }

  /* Aligning buttons */
  .form-actions {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
  }

/* Form Styling */
.modal-content form {
    display: flex;
    flex-direction: column;
    gap: 15px; /* Adds space between input fields */
    width: 100%; /* Ensures full width of parent */
    max-width: 500px; /* Limits form width */
    margin: 0 auto; /* Centers the form horizontally */
  }

  .modal-content form  input[type="text"],
  .modal-content form  input[type="number"],
  .modal-content form  input[type="date"],
  .modal-content form select {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 16px;
    width: 100%;
    box-sizing: border-box;
  }

  button {
    padding: 10px;
    font-size: 16px;
    border-radius: 4px;
    cursor: pointer;
  }

  button.pure-button {
    background-color: #0078e7;
    color: white;
    border: none;
  }

  button.pure-button:hover {
    background-color: #0078e7;
  }

  .form-actions {
    display: flex;
    justify-content: space-between;
  }

  .button-container {
    display: flex;
    justify-content: space-between;
    margin: 120px auto 0 ; /* Center container */
  }

  .button-container a,
  .button-container button {
    text-align: center;
    margin: 0 10px;
  }